# pomegranate-farming-monitoring-system
Main objective
Develop a mobile application to solve the overall problems arising in pomegranate cultivation. We hope to develop this so that people with low computer literacy can also easily use it.

Main Research questions
Pomegranate is a deciduous shrub that bears fruits of high nutritional value. It is believed to be found in the northern hemisphere from September to February and in the southern hemisphere in the months of March to May.This is a plant that likes desert climates. The fruit of the pomegranate is expected to be highly nutritious and has amazing benefits for human health.Pomegranate is also a very valuable and expensive exportable commercial crop.It can also be successfully cultivated in the dry zone of Sri Lanka. It can have high economic benefits. However, this fruit is not widely grown in Sri Lanka. From our studies, it was found that the farmers in Sri Lanka lack knowledge about pomegranate cultivation. There are many special things to look out for, from choosing a site to grow, choosing a suitable variety, applying fertilizers, watering,and harvesting. Sri Lankan farmers do not have much understanding, not even to correctly identify a disease when it is infected. If cultivated correctly, a large profit can also be obtained.Although there were details about this on the internet, we found that the computer literacy of farmers living in the dry zone of Sri Lanka is very low. Their percentages in Northwestern, Northern, North Central, and Eastern were 29.1%, 19.3%, 21.7%, and 15.7%, respectively

Individual research question
IT20146610-Jayarathne S.R.L-Pomegranate soli nutritional detection and solution suggestion 
Evaluating soil quality and taking images of nutrient-deficient plant sections using an IoT device. evaluating the soil's quality in several pomegranate fields. presenting the necessary remedies for artificially supplying nutrients and fertilizers.
IT20094218-Gimhan A.H.L.D.K-Climate analyze and crop prediction
The data of the long-term weather and climate events in each area should be obtained and preprocessed, a suitable algorithm should be selected, a model should be built and then tested using different data.
IT20171810-Senanayaka M.D.C.N-Quality predicting and analysing
Using the proposed technique to capture the image of the fruit and accurately predict its quality Use images as important sources of data and information. Images of pomegranate trees as well as images of fruits varying in size, shape, color, and other characteristics are needed to determine fruit quality. 
IT20144708 Vidanapathirana V.D-Disease Detection
The methods are used in the implementation of leaf disease detection for pomegranate using leaf images are K-Means algorithm and multi-class SVM, and image processing techniques like image enhancement and segmentation. After identifying diseases  and suggest the treatments.

 Individual Objectives,
 IT20146610-Jayarathne S.R.L
 To develop a model that enables farmers to quickly recognize pinpoint treatments for that influence pomegranate farming in Sri Lanka and shortages in soil nutrients.
 IT20094218-Gimhan A.H.L.D.K
 To analyze the humidity, sunlight, and temperature parameters in each region of Sri Lanka and develop a model to predict the impact on pomegranate cultivation in those regions
 IT20171810-Senanayaka M.D.C.N
 Creating a quality-predicting and analyzing system to check the quality of pomegranates using image processing
 IT20144708 Vidanapathirana V.D
 create a Machine learning model to identify Pomegranate plant disease detection and suggest the treatment for diseases
 
  Other necessary information
Business Potential
A pomegranate farming monitoring system has the potential to be a valuable business tool for pomegranate farmers. Machine learning algorithms are used to analyze large amounts of data on various aspects of pomegranate cultivation, such as weather conditions, soil moisture levels, and pest infestation, to provide more accurate recommendations to farmers. 
Some of the potential business opportunities associated with a pomegranate crop monitoring system include:
Monitoring System Sales: Companies that develop and market pomegranate farming monitoring systems can generate revenue by selling their products to pomegranate farmers. This may include hardware sensors, software for data analysis and reporting, and continuous monitoring subscription-based services.
Improved yield forecasting: By analyzing data such as weather patterns, soil quality, and crop growth rates, machine learning algorithms can predict the yield of the pomegranate crop with greater accuracy. This information helps farmers better plan their harvests and optimize their resources.
Disease and pest detection: Machine learning algorithms can identify patterns in data that indicate the presence of diseases or pests in a pomegranate crop. This helps farmers take proactive measures to prevent the spread of these problems and minimize crop losses.
Data-driven decision-making: Machine learning algorithms can process vast amounts of data from multiple sources, including weather data, soil quality data, and crop data, to provide farmers with insights that can inform their decision-making. This helps farmers optimize their resources, reduce costs and increase yield.
Finally, a pomegranate farming monitoring system using machine learning has significant potential to generate revenue and create new business opportunities. By providing farmers with more accurate insights and recommendations, this technology can help improve the efficiency and sustainability of pomegranate cultivation, leading to higher yields and profits.


 
We plan to develop a mobile phone application based on an IOT solution on pomegranate cultivation as our solution to the research topic.